std::iterator_traits< gsl::matrix_iterator > Class Reference

`#include <mia/core/gsl_matrix.hh>`

## Public Types

typedef size_t | difference_type
typedef forward_iterator_tag | iterator_category
typedef double * | pointer
typedef double & | reference
typedef double | value_type

## Detailed Description

Definition at line 499 of file gsl_matrix.hh.

## Member Typedef Documentation

## difference_type

typedef size_t std::iterator_traits< gsl::matrix_iterator >::difference_type

Definition at line 502 of file gsl_matrix.hh.

## iterator_category

typedef forward_iterator_tag std::iterator_traits< gsl::matrix_iterator >::iterator_category

Definition at line 506 of file gsl_matrix.hh.

## pointer

typedef double* std::iterator_traits< gsl::matrix_iterator >::pointer

Definition at line 504 of file gsl_matrix.hh.

## reference

typedef double& std::iterator_traits< gsl::matrix_iterator >::reference

Definition at line 505 of file gsl_matrix.hh.

## value_type

typedef double std::iterator_traits< gsl::matrix_iterator >::value_type

Definition at line 503 of file gsl_matrix.hh.

The documentation for this class was generated from the following file:

- gsl_matrix.hh